## vdr-plugin-live 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile,v 1.58 2007/12/23 15:31:51 tadi Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -19,14 +18,16 @@
 
 CXX	 ?= g++
 
-### tntnet produces some compiler warnings, so we add -Wno-unused-variable -Wno-non-virtual-dtor for nice output ;)
-CXXFLAGS ?= -fPIC -O2 -Wall -Woverloaded-virtual -Wno-unused-variable -Wno-non-virtual-dtor
+### This variable is overriden in pages/Makefile because we don't want the
+### extra warnings in the tntnet generated files. So if you change here
+### something be sure to check pages/Makefile too.
+CXXFLAGS ?= -fPIC -O2 -Wall
 LDFLAGS	 ?= -fPIC -g
 
 ECPPC	 ?= ecppc
 CXXFLAGS += `tntnet-config --cxxflags`
 
-LIBS  += $(shell tntnet-config --libs)
+LIBS	 += $(shell tntnet-config --libs)
 
 ### The directory environment:
 
@@ -42,7 +43,7 @@
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 I18NTARG   = $(shell if [ `echo $(APIVERSION) | tr [.] [0]` -ge "10507" ]; then echo "i18n"; fi)
-TNTVERS7   = $(shell ver=`tntnet-config --version | sed -e's/\.//g'`; ver=$$(($$ver<100?$$ver*100:($$ver<1000?$$ver*10:$$ver))); if [ $$ver -ge "1606" ]; then echo "yes"; fi)
+TNTVERS7   = $(shell ver=`tntnet-config --version | sed -e's/\.//g' | awk '/^..$$/ { print $$1."00"} /^...$$/ { print $$1."0"} /^....$$/ { print $$1 }'`; if [ $$ver -ge "1606" ]; then echo "yes"; fi)
 
 ### The name of the distribution archive:
 
@@ -68,24 +69,27 @@
 	SUBDIRS += httpd
 endif
 
+VERSIONSUFFIX = gen_version_suffix.h
+
 ### The object files (add further files here):
 
 PLUGINOBJS = $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
 	     tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
-	     grab.o md5.o filecache.o livefeatures.o preload.o
+	     grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o
 
 WEBLIBS	   = pages/libpages.a css/libcss.a javascript/libjavascript.a
 
 ### Default rules:
 
-.PHONY: all dist clean SUBDIRS
+all: libvdr-$(PLUGIN).so $(I18NTARG)
 
-all: libvdr-$(PLUGIN).so $(I18NTARG)
+.PHONY: all dist clean subdirs $(SUBDIRS) PAGES
 
 ### Implicit rules:
 
+### all source compiled here shall warn about overloaded virtuals
 %.o: %.cpp
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -Woverloaded-virtual -c $(DEFINES) $(INCLUDES) $<
 
 # Dependencies:
 
@@ -94,7 +98,9 @@
 $(DEPFILE): Makefile
 	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(PLUGINOBJS:%.o=%.cpp) > $@
 
+ifneq ($(MAKECMDGOALS),clean)
 -include $(DEPFILE)
+endif
 
 ### Internationalization (I18N):
 
@@ -113,7 +119,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): PAGES $(PLUGINOBJS:%.o=%.cpp)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(PLUGINOBJS:%.o=%.cpp) pages/*.cpp
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --omit-header -o $@ $(PLUGINOBJS:%.o=%.cpp) pages/*.cpp setup.h
 
 $(I18Npo): $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -130,15 +136,18 @@
 
 ### Targets:
 
-SUBDIRS:
-	@for dir in $(SUBDIRS); do \
-		make -C $$dir CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" || exit 1; \
-	done
+subdirs: $(SUBDIRS)
+
+$(SUBDIRS):
+	$(MAKE) -C $@ CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" $(MAKECMDGOALS)
 
 PAGES:
-	make -C pages CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" .dependencies || exit 1;
+	$(MAKE) -C pages CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" .dependencies
 
-libvdr-$(PLUGIN).so: SUBDIRS $(PLUGINOBJS)
+$(VERSIONSUFFIX): FORCE
+	./buildutil/version-util $(VERSIONSUFFIX) || ./buildutil/version-util -F $(VERSIONSUFFIX)
+
+libvdr-$(PLUGIN).so: $(VERSIONSUFFIX) $(SUBDIRS) $(PLUGINOBJS)
 	$(CXX) $(LDFLAGS) -shared -o $@	 $(PLUGINOBJS) -Wl,--whole-archive $(WEBLIBS) -Wl,--no-whole-archive $(LIBS)
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 ifneq ($(TNTVERS7),yes)
@@ -172,11 +181,11 @@
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
-clean:
+clean: $(SUBDIRS)
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(PLUGINOBJS) $(DEPFILE) *.so *.tgz core* *~
-	@for dir in $(SUBDIRS); do \
-		make -C $$dir clean ; \
-	done
+	@-rm -f $(VERSIONSUFFIX)
 
 .PRECIOUS: $(I18Npo)
+
+FORCE:
