=== pages/Makefile ===
--- 
+++ 
@@ -1,11 +1,6 @@
 CXX      ?= g++
 AR       ?= ar
 ECPPC    ?= ecppc
-
-CXXFLAGS ?= -O2 -Woverloaded-virtual -Wall -fPIC
-
-CXXFLAGS += `tntnet-config --cxxflags`
-LDFLAGS  += `tntnet-config --libs`
 
 INCLUDES += -I.. -I$(VDRDIR)/include
 
@@ -21,7 +16,7 @@
           vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
           searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
           pause_recording.o stop_recording.o ffw_recording.o		\
-          rwd_recording.o setup.o content.o epginfo.o
+          rwd_recording.o setup.o content.o epginfo.o timerconflicts.o
 
 ### Default rules:
 
@@ -31,8 +26,10 @@
 
 ### Implicit rules:
 
+### tntnet produces some compiler warnings,
+### so we add -Wno-unused-variable -Wno-non-virtual-dtor for nice output ;)
 %.o: %.cpp
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -Wno-unused-variable -Wno-non-virtual-dtor -c $(DEFINES) $(INCLUDES) $<
 
 %.cpp: %.ecpp
 	$(ECPPC) $(ECPPFLAGS) $(ECPPFLAGS_CPP) $<
@@ -41,10 +38,12 @@
 
 MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
-$(DEPFILE): Makefile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.ecpp) 
+$(DEPFILE): Makefile $(OBJS:%.o=%.cpp) $(OBJS:%.o=%.ecpp)
 	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@
 
+ifneq ($(MAKECMDGOALS),clean)
 -include $(DEPFILE)
+endif
 
 ### Targets:
