=== debian/changelog ===
vdr-plugin-live (0.2.0-17) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:37 +0100

vdr-plugin-live (0.2.0-16) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:49 +0200

vdr-plugin-live (0.2.0-15) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:35 +0200

vdr-plugin-live (0.2.0-14) unstable; urgency=low

  * Added 04_tntnet-2.0.patch to fix compatibility with Tntnet 2.0
    (Closes: #639079)

 -- Tobias Grimm <etobi@debian.org>  Thu, 25 Aug 2011 22:09:52 +0200

vdr-plugin-live (0.2.0-13) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2
  * Updated 01_ipv6.patch to the version provide by Luboš Doležel to support
    IPV4-only systems (Closes: #630627)

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:36 +0200

vdr-plugin-live (0.2.0-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:19 +0200

vdr-plugin-live (0.2.0-11) unstable; urgency=low

  * Dropped README.source

 -- Tobias Grimm <etobi@debian.org>  Thu, 07 Apr 2011 20:04:30 +0200

vdr-plugin-live (0.2.0-10) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs
  * Renamed get-orig-source target to get-vcs-snpashot

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Apr 2011 22:47:35 +0200

vdr-plugin-live (0.2.0-9) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 14:40:15 +0200

vdr-plugin-live (0.2.0-8) unstable; urgency=low

  * Added 03_live-0.2.0-fix-INCLUDES.dpatch

 -- Thomas Günther <tom@toms-cafe.de>  Sun, 14 Mar 2010 20:58:48 +0100

vdr-plugin-live (0.2.0-7) unstable; urgency=low

  [ Tobias Grimm ]
  * Removed non-standard shebang line from debian/rules (Closes: #552645)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:41:38 +0100

vdr-plugin-live (0.2.0-6) unstable; urgency=low

  [ Timo Weingärtner ]
  * Added 02_timers_colon to prevent cutting off timer titles after first
    colon (Closes: #538605).

  [ Thomas Schmidt ]
  * Bumped Standards-Version to 3.8.3

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 25 Oct 2009 19:36:14 +0100

vdr-plugin-live (0.2.0-5) unstable; urgency=low

  [ Thomas Günther ]
  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

  [ Tobias Grimm ]
  * Added comment about --epgimages option to plugin.live.conf

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:56 +0200

vdr-plugin-live (0.2.0-4) unstable; urgency=low

  * Added 01_ipv6 to allow usage of IPV6 addresses (Closes: #496936)

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 30 Aug 2008 21:28:37 +0200

vdr-plugin-live (0.2.0-3) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:48:12 +0200

vdr-plugin-live (0.2.0-2) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:27:07 +0200

vdr-plugin-live (0.2.0-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 01 May 2008 17:50:12 +0200

vdr-plugin-live (0.1.0+cvs20080409.2159-3) unstable; urgency=low

  * Release for vdrdevel 1.7.0

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 17 Apr 2008 02:45:17 +0200

vdr-plugin-live (0.1.0+cvs20080409.2159-2) unstable; urgency=medium

  * Unexport CXXFLAGS and LDFLAGS in debian/rules - this should fix the
    FTBFS on amd64, caused by the new dpkg, which is exporting these
    variables by default now (closes: #475710)
  * Set urgency to medium, to get the fix to testing faster

 -- Thomas Schmidt <tschmidt@debian.org>  Tue, 15 Apr 2008 20:58:59 +0200

vdr-plugin-live (0.1.0+cvs20080409.2159-1) unstable; urgency=low

  * New Upstream Snapshot, because it is not possible to upload the missing
    tarball for the last snapshot

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 10 Apr 2008 00:00:55 +0200

vdr-plugin-live (0.1.0+cvs20080406.1304-2) unstable; urgency=low

  * Rebuild, include upstream tarball again, which somehow did not reach the
    mirrors (closes: #475214)

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 10 Apr 2008 00:01:16 +0200 

vdr-plugin-live (0.1.0+cvs20080406.1304-1~lenny1) unstable; urgency=low

  * Upload to unstable
  * Lowered Build-Depends on vdr-dev to >=1.4.7-3
  * Do not try to install locales

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 06 Apr 2008 22:23:19 +0200

vdr-plugin-live (0.1.0+cvs20080406.1304-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 06 Apr 2008 15:04:49 +0200

vdr-plugin-live (0.1.0+cvs20080323.1527-1) experimental; urgency=low

  * New Upstream Snapshot
  * Build-depend on libtntnet-dev (1.6.0.1-1.1),
    libcxxtools-dev (>= 1.4.3.6-1.1) (Closes: #454836)
  * Updated debian/copyright
  * Build-Depend on vdr-dev (>=1.6.0)
  * Updated denbian/rules

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 04 Apr 2008 00:32:54 +0200

vdr-plugin-live (0.1.0+cvs20071228.1851-4) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:13 +0100

vdr-plugin-live (0.1.0+cvs20071228.1851-3) unstable; urgency=low

  [ Thomas Günther ]
  * Release for vdrdevel 1.5.13
  * Added gettext to Build-Depends
  * Added installation of locale files
  * Added full license disclaimer and copyright years to debian/copyright

