=== debian/control ===
Source: vdr-plugin-live
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.22),
 libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
 libssl-dev, libboost-dev, gettext
Standards-Version: 3.9.2
Homepage: http://live.vdr-developer.org
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git

Package: vdr-plugin-live
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Web administration plugin for VDR
 Live, the "Live Interactive VDR Environment", is a plugin providing the
 possibility to interactively control the Linux Video Disc Recorder VDR and
 some of it's plugins from a web interface.
 .
 Unlike external programs, like the VDR web frontend "VDRAdmin-AM", that 
 communicate  with VDR via its SVDRP socket interface, Live has direct
 access to VDR's data structures and thus is very fast.
