## vdr-plugin-live 0.2.0+git20120428

=== debian/changelog ===
vdr-plugin-live (0.2.0+git20120428-3) unstable; urgency=low

  * Now really build-depend on vdr-1.7.28

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jun 2012 23:28:24 +0200

vdr-plugin-live (0.2.0+git20120428-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Fri, 08 Jun 2012 21:19:34 +0200

vdr-plugin-live (0.2.0+git20120428-1) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)
  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 28 Apr 2012 07:21:16 +0200

vdr-plugin-live (0.2.0+git20120114-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:43 +0200
