=== debian/changelog ===
vdr-plugin-live (0.2.0+git20130305-6.1build1) trusty; urgency=medium

  * Rebuild against libtntnet12.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Apr 2014 11:22:20 +0100

vdr-plugin-live (0.2.0+git20130305-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply two patches from upstream to fix FTBFS against new tntnet &
    cxxtools. (Closes: #713568)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 20 Aug 2013 00:00:32 +0100

vdr-plugin-live (0.2.0+git20130305-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:10 +0200

vdr-plugin-live (0.2.0+git20130305-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:15 +0100

vdr-plugin-live (0.2.0+git20130305-4) unstable; urgency=low

  * Load themes from resource directory

 -- Tobias Grimm <etobi@debian.org>  Wed, 20 Mar 2013 23:54:38 +0100

vdr-plugin-live (0.2.0+git20130305-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:49:57 +0100

vdr-plugin-live (0.2.0+git20130305-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:14:58 +0100

vdr-plugin-live (0.2.0+git20130305-1) unstable; urgency=low

  * New Upstream Snapshot (commit 545739f)
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 23:10:55 +0100
