## vdr-plugin-live 0.3.0%2bgit20141029

=== httpd/Makefile ===
--- 
+++ 
@@ -40,4 +40,7 @@
 	$(AR) r $@ $^
 
 clean:
-	@rm -f *.o core* libhttpd.a proctest $(DEPFILE)
+	@rm -f *~ *.o core* libhttpd.a proctest $(DEPFILE)
+
+dist: clean
+	@echo "Nothing to do for distribution here ..."
