=== css/Makefile ===
--- 
+++ 
@@ -56,3 +56,6 @@
 
 clean:
 	@rm -f *~ *.o core* libcss.a $(OBJS:%.o=%.cpp)
+
+dist: clean
+	@echo "Nothing to do for distribution here ..."
