=== debian/changelog ===
vdr-plugin-live (0.3.0+git20141029-1build1) wily; urgency=medium

  * No-change rebuild against libpcrecpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Aug 2015 23:37:35 +0000

vdr-plugin-live (0.3.0+git20141029-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 69f84f9) (Closes: #696128)

 -- Tobias Grimm <etobi@debian.org>  Wed, 29 Oct 2014 22:53:35 +0100

vdr-plugin-live (0.2.0+git20130305-7) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 13:40:42 +0100
