=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vdr-plugin-live
 Section: video
 Priority: extra
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28),
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.6), pkg-config,
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
  libssl-dev, libboost-dev, gettext, libpcre3-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://live.vdr-developer.org
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-live.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-live.git
